<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * キャスト削除完了
 *
 * @package     Admin.Datamanage.Cast.Delete.Done
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_Datamanage_Cast_Delete_Done
{
    var $c_cast;
    var $session;

    var $code;
    var $row;
    var $updcnt;
    var $upduser;

    var $title;
    var $pagename;
    var $actionnm;
    var $from;    //ページID
    var $div;

    var $srcword;            //検索値
    var $srccastdiv;         //キャスト種別
    var $srcrecommenddiv;    //おすすめ区分

    var $srcdispnum;        // 表示件数

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->trace("logging", "Admin_Datamanage_Cast_Delete_Done#execute");

        $data = $this->session->getParameter("cast");
        $div = (empty($this->div)) ? 2 : 1;
        $this->row = $this->c_cast->delete($div,
                                           $data["code"],
                                           $data["updcnt"],
                                           $this->upduser);
        if (!$this->row) return "input";
        return 'success';
    }
}
?>
